Option Strict On

Imports System
Imports System.Data
Imports System.Data.SqlClient


Public Class DataManipulationLayer
    Public Conn As SqlConnection
    Public Cmd As SqlCommand
    Public dt As DataTable
    Public da As SqlDataAdapter
    Public parameter As SqlClient.SqlParameter
    Public strConnectionString As String = "Server=(local);Database=Project;User ID=steve;Password=jensen;"
    Public MainTransaction As SqlClient.SqlTransaction

    Public Sub Open()
        Conn = New SqlConnection(strConnectionString)
    End Sub

    Public Function Query(ByVal strProcedureName As String) As DataTable
        Cmd = New SqlCommand(strProcedureName, Conn)
        Cmd.CommandType = CommandType.StoredProcedure

        Try
            da = New SqlDataAdapter(Cmd)

            dt = New DataTable
            da.Fill(dt)
            Return dt
        Catch ex As Exception
            HttpContext.Current.Response.Write("Error: " & ex.Message & "<br>" & ex.StackTrace)
        End Try
    End Function

    Public Function Query(ByVal strProcedureName As String, ByVal Parameters() As String) As DataTable
        Dim intI As Integer
        Dim test As String

        Try
            Cmd = New SqlCommand(strProcedureName, Conn)
            Cmd.CommandType = CommandType.StoredProcedure

            For intI = 0 To UBound(Parameters)
                Cmd.Parameters.Add(Parameters(intI), DirectCast(Parameters(intI + 1), Object))
                intI += 1
            Next

            da = New SqlDataAdapter(Cmd)

            dt = New DataTable
            da.Fill(dt)
            Return dt
        Catch ex As Exception
            HttpContext.Current.Response.Write("Error: " & ex.Message & "<br>" & ex.StackTrace)
        End Try
    End Function

    Public Sub Close()
        Conn.Close()
        Conn.Dispose()
    End Sub
End Class
